import { useEffect } from "react";
import { useTranslation } from "react-i18next";
import TimeTicketShift from "../../components/time-ticket-shift/time-ticket-shift.container";
import InstanceRenderManager from "../../utils/instanceRenderMgr";

export default function TechShiftClock() {
  const { t } = useTranslation();

  useEffect(() => {
    document.title = t("titles.techshiftclock", {
      app: InstanceRenderManager({
        imex: "$t(titles.imexonline)",
        rome: "$t(titles.romeonline)"
      })
    });
  }, [t]);

  return (
    <div>
      <TimeTicketShift isTechConsole />
    </div>
  );
}
